Loading...
Searching...
No Matches
vector_to_stream.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_BLOCKS_VECTOR_TO_STREAM_H
#define INCLUDED_BLOCKS_VECTOR_TO_STREAM_H
#include <gnuradio/blocks/api.h>
#include <gnuradio/sync_interpolator.h>
namespace gr {
namespace blocks {
/*!
* \brief convert a stream of gnuradio/blocks of nitems_per_block items into a stream of
* items \ingroup stream_operators_blk
*/
class BLOCKS_API vector_to_stream : virtual public sync_interpolator
{
public:
// gr::blocks::vector_to_stream::sptr
typedef std::shared_ptr<vector_to_stream> sptr;
/*!
* Make vector-to-stream block
*
* \param itemsize the item size of the stream
* \param nitems_per_block number of items per vector (vector size)
*/
static sptr make(size_t itemsize, size_t nitems_per_block);
};
} /* namespace blocks */
} /* namespace gr */
#endif /* INCLUDED_BLOCKS_VECTOR_TO_STREAM_H */
gr::blocks::vector_to_stream
convert a stream of gnuradio/blocks of nitems_per_block items into a stream of items
Definition vector_to_stream.h:25
gr::blocks::vector_to_stream::make
static sptr make(size_t itemsize, size_t nitems_per_block)
gr::blocks::vector_to_stream::sptr
std::shared_ptr< vector_to_stream > sptr
Definition vector_to_stream.h:28
gr::sync_interpolator::sync_interpolator
sync_interpolator(void)
Definition sync_interpolator.h:31
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr::blocks
Definition abs_blk.h:20
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_interpolator.h